#
# spec file for package gwenview5
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_without lang

Name:           gwenview5
Version:        17.12.2
Release:        0
%define kf5_version 5.26.0
# Latest stable Applications (e.g. 17.08 in KA, but 17.11.80 in KUA)
%{!?_kapp_version: %global _kapp_version %(echo %{version}| awk -F. '{print $1"."$2}')}
Summary:        Image Viewer for KDE
License:        GPL-2.0+
Group:          Productivity/Graphics/Viewers
Url:            http://www.kde.org
Source:         gwenview-%{version}.tar.xz
BuildRequires:  baloo5-devel
BuildRequires:  extra-cmake-modules >= %{kf5_version}
BuildRequires:  kactivities5-devel
BuildRequires:  kconfig-devel
BuildRequires:  kdelibs4support-devel
BuildRequires:  kf5-filesystem
BuildRequires:  kio-devel >= 5.4.0
BuildRequires:  libexiv2-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libkdcraw-devel
BuildRequires:  libkipi-devel
BuildRequires:  liblcms2-devel
BuildRequires:  libpng-devel
BuildRequires:  phonon4qt5-devel
BuildRequires:  pkgconfig
BuildRequires:  systemd-devel
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(Qt5Concurrent) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Core) >= 5.2.0
BuildRequires:  pkgconfig(Qt5DBus) >= 5.2.0
BuildRequires:  pkgconfig(Qt5OpenGL) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Script) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Svg) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Test) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Widgets) >= 5.2.0
BuildRequires:  pkgconfig(Qt5X11Extras) >= 5.2.0
Provides:       gwenview = %{version}
Obsoletes:      gwenview < %{version}
%if %{with lang}
Recommends:     %{name}-lang
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Gwenview is an image viewer for KDE. It features a folder tree
window and a file list window, providing navigation of file
hierarchies.

%if %{with lang}
%lang_package
%endif

%prep
%setup -q -n gwenview-%{version}

%build
  %cmake_kf5 -d build -- -DGWENVIEW_SEMANTICINFO_BACKEND="Baloo"
  %make_jobs

%install
  %kf5_makeinstall -C build
  %if %{with lang}
    %find_lang %{name} --with-man --all-name
    %kf5_find_htmldocs
  %endif

  %suse_update_desktop_file -r org.kde.gwenview       Graphics RasterGraphics Viewer KDE

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING*
%dir %{_datadir}/solid
%dir %{_datadir}/solid/actions
%dir %{_kf5_htmldir}
%dir %{_kf5_htmldir}/en
%doc %lang(en) %{_kf5_htmldir}/en/*/
%{_kf5_applicationsdir}/org.kde.gwenview.desktop
%{_kf5_appstreamdir}/
%{_kf5_bindir}/gwenview
%{_kf5_bindir}/gwenview_importer
%{_kf5_iconsdir}/hicolor/*/*/*
%{_kf5_libdir}/libgwenviewlib.so.*
%{_kf5_plugindir}/
%{_kf5_servicesdir}/
%{_kf5_sharedir}/gwenview/
%{_kf5_sharedir}/kxmlgui5/
%{_kf5_sharedir}/solid/actions/gwenview_*.desktop

%if %{with lang}
%files lang -f %{name}.lang
%doc COPYING*
%endif

%changelog
